Summary:	Multithreaded FTP client for X Window
Summary(es.UTF-8):	Cliente FTP multithreaded para el X Window
Summary(ja.UTF-8):	X Window System 用マルチスレッド FTP クライアント
Summary(pl.UTF-8):	Wielowątkowy klient FTP dla X Window
Summary(pt_BR.UTF-8):	Cliente FTP multithreaded para o X Window
Summary(ru.UTF-8):	Многонитевый FTP клиент для X Window
Summary(uk.UTF-8):	Багатонитковий FTP клієнт для X Window
Name:		gftp
Version:	2.0.19
Release:	5
Epoch:		2
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://gftp.seul.org/%{name}-%{version}.tar.gz
# Source0-md5:	4c0cab4b35e8666f5892b02125270a21
Patch0:		%{name}-pld.patch
Patch1:		%{name}-no_libnsl.patch
Patch2:		%{name}-configure_in.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-gtk1_check.patch
URL:		http://gftp.seul.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gFTP is a multithreaded FTP client for X Window written using GTK+. It
features simultaneous downloads, resuming of interrupted file
transfers, file transfer queues, downloading of entire directories,
FTP proxy support, remote directory caching, passive and non-passive
file transfers, drag-n-drop support, bookmarks menu, stop button, and
many more features.

%description -l es.UTF-8
Cliente FTP multithreaded para el X Window.

%description -l ja.UTF-8
gFTP は X Window System 用のマルチスレッド FTP クライアントです。
gFTP は、複数ファイルの同時ダウンロードや、中断した転送の
レジューム、複数のファイルのダウンロード予約、ディレクトリごとの
ダウンロード、 FTP サイトのブックマーク、 FTP サイトのディレクトリ
のキャッシュ、ローカルとリモートのファイルのパーミッションの変更、
ドラッグアンドドロップ、コネクションマネージャ、その他いろいろな
機能を持っています。

%description -l pl.UTF-8
gFTP jest wielowątkowym klientem FTP dla X Window wykorzystującym
bibliotekę GTK+. Pozwala na jednoczesne ściąganie wielu plików,
wznawianie przerwanych transferów, kolejkowanie przesyłanych plików,
ściąganie zawartości katalogów, możliwość pracy z wykorzystaniem FTP
proxy, ściąganie plików w trybie pasywnym i nie-pasywnym, drag-n-drop,
zarządzanie połączeniami i wiele innych możliwości.

%description -l pt_BR.UTF-8
O gftp é um cliente FTP multithreaded para o X Window escrito usando a
biblioteca GTK+. Permite transferir arquivos simultâneamente, continuar
transferências interrompidas, filas para transferências de arquivos e
um gerenciador de conexões muito bom e muitas outras características.

%description -l ru.UTF-8
gFTP - многонитевый FTP клиент для X Window написаный с использованием
GTK. Среди его возможностей одновременная загрузка многих файлов,
продолжение прерваных передач файлов, очереди на передачу, загрузка
целых каталогов, поддержка FTP прокси, кеш индексов удаленных
каталогов, передача файлов в пасивном и непасивном режимах, поддержка
"буксирования" файлов (drag-n-drop), меню закладок, кнопка останова и
много другого.

%description -l uk.UTF-8
gFTP є багатонитковим FTP клієнтом для X Window, написаним з
використанням GTK. Серед його можливостей одночасні завантаження
багатьох файлів, продовження перерваних передач файлів, черги на
передачу, завантаження цілих каталогів, підтримка FTP проксі, кеш
індексів віддалених каталогів, передача файлів в пасивному та
непасивному режимах, підтримка "буксування" файлів (drag-n-drop), меню
закладинок, кнопка зупинки та багато іншого.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f aclocal.m4 acinclude.m4
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-textport
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_desktopdir} \
	Iconsdir=%{_pixmapsdir}

mv -f $RPM_BUILD_ROOT%{_bindir}/gftp{-gtk,}

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO THANKS docs/USERS-GUIDE ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/gftp
%{_datadir}/gftp/COPYING
%{_datadir}/gftp/*.xpm
%config %{_datadir}/gftp/gftprc
%config %{_datadir}/gftp/bookmarks
%{_desktopdir}/gftp.desktop
%{_mandir}/man1/*
%{_pixmapsdir}/gftp.png
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gftp.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 08b968d
- release 5 (by relup.sh)

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 95853e1
- autoconf fix
- rel 4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 972f90c
- dropped pre-cvs changelog

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 6b358cb
- release 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> df3fe24
- release 2

* Mon Dec 01 2008 lisu <lisu@pld-linux.org> bcd29bf
- outdated

* Mon Dec 01 2008 lisu <lisu@pld-linux.org> b1fb37d
- updated for 2.0.19 version

* Mon Dec 01 2008 lisu <lisu@pld-linux.org> 8543299
- up to 2.0.19
- locale_names.patch is outdated

* Sun Nov 04 2007 ankry <ankry@pld-linux.org> c7ac0f7
- sr@Latn -> sr@latin, rel. 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab5efe0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 498ef6c
- converted to UTF-8

* Wed Dec 27 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 3f898bd
- added %{__gettextize}, release 4

* Sat Dec 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> ff67d37
- rel 3

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> abb83da
- orphaned, outdated

* Sat Apr 30 2005 freetz <freetz@pld-linux.org> cc9dea6
- disable gtk1 check (patch added), rel.2 for build with fixed .desktop

* Sat Apr 30 2005 freetz <freetz@pld-linux.org> ca9965e
- disable AM_GTK_PATH check / non linux checks (dupicated from glib2)

* Sat Apr 30 2005 pawelb <pawelb@pld-linux.org> 60c1357
- utf8

* Sun Feb 27 2005 darekr <darekr@pld-linux.org> 1dbc8c4
- simplified %setup

* Sat Feb 12 2005 pawelb <pawelb@pld-linux.org> 341061d
- modified to version 2.0.18

* Mon Feb 07 2005 pawelb <pawelb@pld-linux.org> 3cb38cd
- up to 2.0.18

